Get the average value of a vehicle
GET/v1/vehicles/estimate
Get the average value of a vehicle
Request
Query Parameters
model integerrequired
ID of the Model of the vehicle
year integerrequired
Year of manufacture of the vehicle
currency stringrequired
Currency code for the valuation
Responses
- 200
- 401
- 404
OK
- application/json
- Schema
- Example (from schema)
Schema
brand string
Brand of the vehicle
model string
Model of the vehicle
year integer
Year of manufacture of the vehicle
locallyUsedAverage number
Average value of the vehicle in locally used condition
locallyUsedMin number
Minimum value of the vehicle in locally used condition
locallyUsedMax number
Maximum value of the vehicle in locally used condition
foreignUsedAverage number
Average value of the vehicle in foreign used condition
foreignUsedMin number
Minimum value of the vehicle in foreign used condition
foreignUsedMax number
Maximum value of the vehicle in foreign used condition
yearDiscontinued integer
Year the model was discontinued, or 0 if still produced
{
"brand": "Toyota",
"model": "Camry",
"year": 2015,
"locallyUsedAverage": 16000000,
"locallyUsedMin": 14500000,
"locallyUsedMax": 17500000,
"foreignUsedAverage": 18500000,
"foreignUsedMin": 17000000,
"foreignUsedMax": 20000000,
"yearDiscontinued": 0
}
Unauthenticated - no valid API key was provided.
- application/json
- Schema
- Example (from schema)
Schema
data string
{
"data": "Invalid Token"
}
Not found.
- application/json
- Schema
- Example (from schema)
Schema
message string
{
"message": "No query results for the requested resource."
}
Loading...